<?php
/**
 *
 * Show Snow extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2018 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\ShowSnow\migrations;

class release_1_0_1 extends \phpbb\db\migration\migration
{
    static public function depends_on()
    {
        return array(
            '\Picaron\ShowSnow\migrations\release_1_0_0',
        );
    }

    public function update_data()
    {
        return array(
            array('config.update', array('version_show_snow', '1.0.1')),

            // UCP module
            array('module.add', array(
                'ucp',
                false,
                'UCP_SHOWSNOW_TITLE'
            )),
            array('module.add', array(
                'ucp',
                'UCP_SHOWSNOW_TITLE',
                array(
                    'module_basename'   => '\Picaron\ShowSnow\ucp\ucp_showsnow_module',
                    'auth'              => 'ext_Picaron/ShowSnow',
                    'modes'             => array('showsnow'),
                ),
            )),
        );
    }

    public function revert_data()
    {
        return array(
            // UCP module
            array('module.remove', array(
                'ucp',
                false,
                'UCP_SHOWSNOW_TITLE'
            )),
            array('module.remove', array(
                'ucp',
                'UCP_SHOWSNOW_TITLE',
                array(
                    'module_basename'   => '\Picaron\ShowSnow\ucp\ucp_showsnow_module',
                    'auth'              => 'ext_Picaron/ShowSnow',
                    'modes'             => array('showsnow'),
                ),
            )),
        );
    }
}
?>