<?php
/**
 *
 * Show Snow extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2018 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\ShowSnow\ucp;

class ucp_showsnow_module
{
    public $u_action;

    function main($id, $mode)
    {
        global $config, $template;

        switch ($mode)
        {
            case 'showsnow':
                $this->showsnow_my();
            break;
        }

        $template->assign_var('SHOWSNOW_VERSION', $config['version_show_snow']);
        $template->assign_var('SHOWSNOW_FOOTER_VIEW', true);
    }

    public function showsnow_my()
    {
        global $db, $auth, $user, $template, $request, $config, $phpbb_root_path, $phpEx;

        $this->tpl_name = 'showsnow/ucp/ucp_showsnow';
        $this->page_title = $user->lang['UCP_SHOWSNOW_TITLE'];
        $template->assign_var('S_UCP_ACTION', $this->u_action);

        // Check Cookie
        if ($request->variable($config['cookie_name'] . '_ShowSnow', '', true, \phpbb\request\request_interface::COOKIE) == 'NO')
        {
            // Cookie OFF
            $template->assign_var('SHOW_SNOW_OK', false);
        } else {
            // Cookie ON
            $template->assign_var('SHOW_SNOW_OK', true);
        }

        if ($request->is_set_post('submit'))
        {
            $dato = $request->variable('snow_ok', 0);
            if ($dato == 1)
            {
                // Cookie OFF
                $user->set_cookie('ShowSnow', 'YES', time() - 2592000);
            } else {
                // Cookie ON
                $user->set_cookie('ShowSnow', 'NO', time() + 2592000);                
            }
            redirect($this->u_action);
        }
    }
}
?>